Subject: Re: [PATCH] builtin/repack.c: set a default factor for '--geometric'

From: Taylor Blau <[email-masked]>
Date: Tue, 20 Apr 2021 16:31:12 -0400

On Tue, Apr 20, 2021 at 01:25:02PM -0700, Junio C Hamano wrote:
> Taylor Blau <[email-masked]> writes:
>
> > --g=<factor>::
> > ---geometric=<factor>::
> > +-g=[<factor>]::
> > +--geometric[=<factor>]::
>
> Do you mean "git repack -g= -d" is (1) accepted and/or (2)
> recommended?
>
> If not, we'd want "-g[=<factor>]" similar to the longer form, no?

Thanks for spotting. The '[' should come before the '=' character, not
after. I'll send a reroll with this (and a suggestion from Stolee).

Thanks,
Taylor